﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using DTG.Word;

namespace TextRun_Styles
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			// Creates a new instance of Document class and reads a .doc file into this structure
			Document Doc = new Document();
            Doc.ReadDoc(@"..\..\Data\WordTextFormatting.doc");

			// Gets two first text runs, in this example - two sentences
			for (int i = 0; i < 2; i++)
			{
				// Gets text run
				TextRun tTextRun = ((Paragraph)Doc.Sections[0].Nodes[0]).TextRuns[i];

				// Writes its properties
				textBox1.Text += "=== Text run " + (i+1) + " ===" + "\r\n";
				textBox1.Text += "Text			: " + tTextRun.Text + "\r\n";
				textBox1.Text += "Font name		: " + tTextRun.Style.FontName + "\r\n";
				textBox1.Text += "Font size	(in half-point)	: " + tTextRun.Style.FontSize + "\r\n";
				textBox1.Text += "Text color			: " + tTextRun.Style.TextColor + "\r\n";
				textBox1.Text += "Bold			: " + tTextRun.Style.FontStyle.Bold + "\r\n";
				textBox1.Text += "Italic			: " + tTextRun.Style.FontStyle.Italic + "\r\n";
				textBox1.Text += "Underlined		: " + tTextRun.Style.FontStyle.Underlined + "\r\n";
				textBox1.Text += "Strike-out			: " + tTextRun.Style.FontStyle.StrikeOut + "\r\n\r\n";
			}
		}
	}
}
