﻿using System;
using System.Collections.Generic;
using System.Text;
using DTG.Word;

namespace GettingDocumentNodes
{
	class Program
	{
		static void Main(string[] args)
		{
			// Creates a new instance of Document class and reads a .doc file into this structure
			Document Doc = new Document();
            Doc.ReadDoc(@"..\..\Data\DocumentNodes.doc");

			// for each paragraph and table in document...
			for (int i = 0; i < Doc.Sections[0].Nodes.Count; i++)
			{
				// Creates a new instance of Node class
				Node CurrentNode = Doc.Sections[0].Nodes[i];


                switch (CurrentNode.Type)
                {
                    case NodeType.Paragraph:
                        {
                            // get text of the paragraph
                            string Text = ((Paragraph)CurrentNode).Text;
                            break;
                        }
                    case NodeType.Table:
                        {
                            // it is a table
                            Console.WriteLine("This node is a table.");
                            break;
                        }
                }
			}

			Console.ReadKey();
		}
	}
}
