﻿Imports DTG.Word

Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Creates a new instance of Document class and reads a .doc file into this structure
        Dim Doc As New Document()
        Doc.ReadDoc("..\..\Data\WordList.doc")

        ' For all nodes in this document...
        For i As Integer = 0 To Doc.Sections(0).Nodes.Count - 1
            ' if this node is a paragraph...
            If Doc.Sections(0).Nodes(i).Type = NodeType.Paragraph Then
                ' Gets list properties
                Dim tList As ListStyle = DirectCast(Doc.Sections(0).Nodes(i), Paragraph).Style.List

                ' ...and if the paragraph is in a list...
                If tList.isInList = True Then
                    ' Write its list properties
                    TextBox.Text += "Paragraph " & (i + 1).ToString & ":" & vbCr & vbLf
                    TextBox.Text += "- List-ID" & vbTab & vbTab & ":" + tList.ID.ToString & vbCr & vbLf
                    TextBox.Text += "- List level" & vbTab & vbTab & ":" + tList.Level.ToString & vbCr & vbLf
                    TextBox.Text += "- Bullet-style" & vbTab & ":" + tList.fBullets.ToString & vbCr & vbLf & vbCr & vbLf
                End If
            End If
        Next

    End Sub
End Class
